<?php

// @formatter:off
/**
 * A helper file for your Eloquent Models
 * Copy the phpDocs from this file to the correct Model,
 * And remove them from this file, to prevent double declarations.
 *
 * @author Barry vd. Heuvel <barryvdh@gmail.com>
 */


namespace App\Models{
/**
 * App\Models\Brand
 *
 * @property int $brand_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $brand_name
 * @property string|null $brand_description
 * @method static BrandFactory factory($count = null, $state = [])
 * @method static Builder|Manufacturer newModelQuery()
 * @method static Builder|Manufacturer newQuery()
 * @method static Builder|Manufacturer query()
 * @method static Builder|Manufacturer whereBrandDescription($value)
 * @method static Builder|Manufacturer whereBrandId($value)
 * @method static Builder|Manufacturer whereBrandName($value)
 * @method static Builder|Manufacturer whereCreatedAt($value)
 * @method static Builder|Manufacturer whereUpdatedAt($value)
 * @mixin Eloquent
 */
	class Brand extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\FuelType
 *
 * @property int $fuel_type_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $fuel_type_name
 * @property string|null $fuel_type_description
 * @property float|null $fuel_type_price
 * @method static FuelTypeFactory factory($count = null, $state = [])
 * @method static Builder|FuelType newModelQuery()
 * @method static Builder|FuelType newQuery()
 * @method static Builder|FuelType query()
 * @method static Builder|FuelType whereCreatedAt($value)
 * @method static Builder|FuelType whereFuelTypeDescription($value)
 * @method static Builder|FuelType whereFuelTypeId($value)
 * @method static Builder|FuelType whereFuelTypeName($value)
 * @method static Builder|FuelType whereFuelTypePrice($value)
 * @method static Builder|FuelType whereUpdatedAt($value)
 * @mixin Eloquent
 */
	class FuelType extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\Keybind
 *
 * @property int $keybind_id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string $keybind_keys
 * @property string $keybind_description
 * @method static \Database\Factories\KeybindFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind query()
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind whereKeybindDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind whereKeybindId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind whereKeybindKeys($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Keybind whereUpdatedAt($value)
 */
	class Keybind extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\User
 *
 * @property int $id
 * @property string $name
 * @property string $email
 * @property Carbon|null $email_verified_at
 * @property mixed $password
 * @property string|null $remember_token
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property-read DatabaseNotificationCollection<int, DatabaseNotification> $notifications
 * @property-read int|null $notifications_count
 * @property-read Collection<int, PersonalAccessToken> $tokens
 * @property-read int|null $tokens_count
 * @method static UserFactory factory($count = null, $state = [])
 * @method static Builder|User newModelQuery()
 * @method static Builder|User newQuery()
 * @method static Builder|User query()
 * @method static Builder|User whereCreatedAt($value)
 * @method static Builder|User whereEmail($value)
 * @method static Builder|User whereEmailVerifiedAt($value)
 * @method static Builder|User whereId($value)
 * @method static Builder|User whereName($value)
 * @method static Builder|User wherePassword($value)
 * @method static Builder|User whereRememberToken($value)
 * @method static Builder|User whereUpdatedAt($value)
 * @mixin Eloquent
 */
	class User extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\Vehicle
 *
 * @property int $vehicle_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $name
 * @property int $vehicle_storage
 * @property int $vehicle_fuel_volume
 * @property int $vehicle_seats
 * @property float|null $vehicle_price
 * @property float|null $vehicle_top_speed
 * @property int $vehicle_class_id
 * @property int $fuel_type_id
 * @property int $brand_id
 * @property int $vendor_id
 * @method static VehicleFactory factory($count = null, $state = [])
 * @method static Builder|Vehicle filter(array $filters)
 * @method static Builder|Vehicle newModelQuery()
 * @method static Builder|Vehicle newQuery()
 * @method static Builder|Vehicle query()
 * @method static Builder|Vehicle whereBrandId($value)
 * @method static Builder|Vehicle whereCreatedAt($value)
 * @method static Builder|Vehicle whereFuelTypeId($value)
 * @method static Builder|Vehicle whereName($value)
 * @method static Builder|Vehicle whereUpdatedAt($value)
 * @method static Builder|Vehicle whereVehicleClassId($value)
 * @method static Builder|Vehicle whereVehicleFuelVolume($value)
 * @method static Builder|Vehicle whereVehicleId($value)
 * @method static Builder|Vehicle whereVehiclePrice($value)
 * @method static Builder|Vehicle whereVehicleSeats($value)
 * @method static Builder|Vehicle whereVehicleStorage($value)
 * @method static Builder|Vehicle whereVehicleTopSpeed($value)
 * @method static Builder|Vehicle whereVendorId($value)
 * @property string $vehicle_name
 * @method static Builder|Vehicle whereVehicleName($value)
 * @mixin Eloquent
 */
	class Vehicle extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\VehicleClass
 *
 * @property int $vehicle_class_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $vehicle_class_name
 * @property string|null $vehicle_class_description
 * @method static VehicleClassFactory factory($count = null, $state = [])
 * @method static Builder|VehicleClass newModelQuery()
 * @method static Builder|VehicleClass newQuery()
 * @method static Builder|VehicleClass query()
 * @method static Builder|VehicleClass whereCreatedAt($value)
 * @method static Builder|VehicleClass whereUpdatedAt($value)
 * @method static Builder|VehicleClass whereVehicleClassDescription($value)
 * @method static Builder|VehicleClass whereVehicleClassId($value)
 * @method static Builder|VehicleClass whereVehicleClassName($value)
 * @mixin Eloquent
 */
	class VehicleClass extends \Eloquent {}
}

namespace App\Models{
/**
 * App\Models\Vendor
 *
 * @property int $vendor_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $vendor_name
 * @property string|null $vendor_description
 * @property string|null $vendor_position
 * @property float|null $vendor_x
 * @property float|null $vendor_y
 * @method static VendorFactory factory($count = null, $state = [])
 * @method static Builder|Vendor newModelQuery()
 * @method static Builder|Vendor newQuery()
 * @method static Builder|Vendor query()
 * @method static Builder|Vendor whereCreatedAt($value)
 * @method static Builder|Vendor whereUpdatedAt($value)
 * @method static Builder|Vendor whereVendorDescription($value)
 * @method static Builder|Vendor whereVendorId($value)
 * @method static Builder|Vendor whereVendorName($value)
 * @method static Builder|Vendor whereVendorPosition($value)
 * @method static Builder|Vendor whereVendorX($value)
 * @method static Builder|Vendor whereVendorY($value)
 * @mixin Eloquent
 */
	class Vendor extends \Eloquent {}
}

