<?php

namespace App\Models;

use Database\Factories\KeybindFactory;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\Keybind
 *
 * @property int $id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $keys
 * @property string $description
 * @method static KeybindFactory factory($count = null, $state = [])
 * @method static Builder|Keybind newModelQuery()
 * @method static Builder|Keybind newQuery()
 * @method static Builder|Keybind query()
 * @method static Builder|Keybind whereCreatedAt($value)
 * @method static Builder|Keybind whereDescription($value)
 * @method static Builder|Keybind whereId($value)
 * @method static Builder|Keybind whereKeys($value)
 * @method static Builder|Keybind whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Keybind extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';
    protected $table = 'keybinds';
    public $incrementing = false;
    protected $guarded = [];

    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id): Keybind
    {
        $this->id = $id;

        return $this;
    }

    public function getKeys(): string
    {
        return $this->keys;
    }

    public function setKeys(string $keys): Keybind
    {
        $this->keys = $keys;

        return $this;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function setDescription(string $description): Keybind
    {
        $this->description = $description;

        return $this;
    }
}
