<?php

namespace App\Models;

use Database\Factories\VehicleTypeFactory;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\VehicleType
 *
 * @method static VehicleTypeFactory factory($count = null, $state = [])
 * @method static Builder|VehicleType newModelQuery()
 * @method static Builder|VehicleType newQuery()
 * @method static Builder|VehicleType query()
 * @mixin \Eloquent
 */
class VehicleType extends Model
{
    use HasFactory;

    protected $primaryKey = 'name';
    protected $table = 'types';
    public $incrementing = false;
    public $timestamps = false;
    protected $guarded = [];

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): VehicleType
    {
        $this->name = $name;

        return $this;
    }

    public function getDisplayName(): string
    {
        return ucwords(str_replace('_', ' ', $this->name));
    }
}
